readLink<-function(pedfile, gmfile, columns = c("family", "pid", "father", "mother", "sex"), quiet = FALSE)
{
  ped<-read.table(pedfile,header=FALSE)
  ped<-apply(ped, 2, as.character)
  tmp<-read.table(gmfile,header=TRUE)
  markerNames<-as.character(tmp[,2])
  nMarkers<-length(markerNames)
  Position<-as.numeric(tmp[,3])

  ped<-apply(ped, 2, function(y) { pos<-which(y=="x"); y[pos]<-"0"; return(y); })
  len<-length(columns)
  ped2<-ped[,-c(1:len), drop=FALSE]
  num<-ncol(ped2)
  tt<-seq(from=1,to=num, by=2)
  ped3<-ped2[,tt, drop=FALSE]
  ped4<-apply(ped3, 2, function(y) {y2<-unlist(strsplit(y, split="/")); return(y2);})
  ped2[,tt]<-ped4
  ped[,-c(1:len)]<-ped2
  ped<-apply(ped, 2, as.numeric)

  tname<-rep(markerNames, rep(2, nMarkers))
  colnames(ped)<-c(columns, paste(tname, 1:2, sep="."))


  pedObj<-list(ped=ped, columns=columns, markerNames=markerNames, Position=Position, fileName=pedfile)
  invisible(pedObj)
}

