
##FIXME: the fbat() function should probably return an object of class
##       fbat, for which this should be the show() method.

## view statistics for a marker
viewstat <- function(fbatObject, markerName)
{
  if(length(markerName)!=1)
    stop("Error! The length of 'markerName' must be one!\n")



  statPvalue <- fbatObject$statPvalue
  markerNamesVec <- rownames(statPvalue)

  pos <- match(markerName, markerNamesVec)
  if(is.na(pos)==TRUE)
    stop("specified marker ", markerName, " not found\n")

  familySize <- fbatObject$familySize
  nFamily <- length(familySize)
  nPerson <- sum(familySize)
  numInfoFamily <- fbatObject$numInfoFamily
  ## number of informative family for this marker
  numInfoM <- numInfoFamily[pos]

  cat("*****************************************\n")
  cat(nFamily, " pedigree ", nPerson, " persons\n")
  cat(numInfoM, " informative families at marker ", markerName, "\n")

  alleles <- fbatObject$alleles.list
  alleleSpec <- alleles[[pos]]
  cat("The alleles of marker ", markerName, " >>\n")
  print(alleleSpec)

  
  S.list <- fbatObject$S.list 
  ES.list <- fbatObject$ES.list
  CovS.list <- fbatObject$CovS.list

  S.spec <- S.list[[pos]]
  ES.spec <- ES.list[[pos]]
  CovS.spec <- CovS.list[[pos]]
  cat("Score for marker ", markerName, " >>\n")
  print(S.spec)
  cat("Expected score for marker ", markerName, " >>\n")
  print(ES.spec)
  cat("Covariance matrix of the score for marker ", markerName, " >>\n")
  print(CovS.spec)

  iCovS.spec <- ginv(CovS.spec)

  cat("Moore-Penrose generalized inverse of covariance matrix\n")
  print(iCovS.spec)

  statSpec <- statPvalue[pos, ]
  cat("test statistics for marker ", markerName, " >>\n")
  print(statSpec)

  cat("*****************************************\n")

  invisible(list(alleleSpec=alleleSpec, statSpec=statSpec, S.spec=S.spec, 
    ES.spec=ES.spec, CovS.spec=CovS.spec, iCovS.spec=iCovS.spec, 
    nFamily=nFamily, nPerson=nPerson, numInfoM=numInfoM))
}


## summarize the test statistics and p-values
summaryPvalue <- function(fbatObject)
{
  statPvalue <- fbatObject$statPvalue
  cat("****************************\n")
  print(statPvalue)
  cat("****************************\n")
  invisible(statPvalue)
}
