\name{missGFreq}
\alias{missGFreq}
\alias{missGFreq.default}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Count frequencies of missing genotypes }
\description{
Count frequencies of missing genotypes
}
\usage{
missGFreq(geneSetObj, founderOnly = TRUE, quiet = FALSE)

missGFreq.default(pedObj, founderOnly=TRUE)

}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{geneSetObj}{a \code{geneSet} object.}
  \item{pedObj}{a list with five elements: \code{ped}, \code{columns}, \code{markerNames}, \code{Position}, and \code{filename}. \code{ped} is a pedigree data frame whose first 6 columns are family (pedigree id), pid (patient id), father (father id), mother (mother id), sex, affected (affection status). The remaining columns are pairs of marker alleles. Each row corresponds to an individual; \code{columns} are the names of the first 5 (or 6) columns of ped file. It should be either equal to  c("family","pid","father","mother","sex","affected") or equal to c("family","pid","father","mother","sex"); \code{founderOnly} indicates if using only founder info; \code{markerNames} is a vector of marker names; \code{Position} is a vector of marker positions; \code{fileName} is the pedigree file name}
  \item{founderOnly}{indicates if using only founder info}
  \item{quiet}{print intermediate results if \code{quiet=FALSE}.}
}
\details{
}
\value{
A matrix with the following three columns:
  \item{column 1}{counts of genotypes, of which both alleles are missing.}
  \item{column 2}{counts of genotypes, of which the first allele is missing and the second allele is not missing.}
  \item{column 3}{counts of genotypes, of which the first allele is not missing and the second allele is missing.}

}
\author{
Weiliang Qiu \email{stwxq@channing.harvard.edu}, 
Ross Lazarus \email{ross.lazarus@channing.harvard.edu}, 
Gregory Warnes \email{warnes@bst.rochester.edu},
Nitin Jain \email{nitin.jain@pfizer.com}
}
\examples{
  data(CAMP)
  res<-missGFreq(CAMP,founderOnly=FALSE)
  # number of missing genotypes per marker
  print(res$nMissMarkers)
  # number of missing genotypes per subject
  print(res$nMissSubjects[1:10,])
}
\keyword{ misc }
