\name{pedFlagHomo}
\alias{pedFlagHomo}
\alias{pedFlagHomo.default}
\title{flag homo/heterozygotes}
\description{
Flag homo/heterozygotes.
}
\usage{
pedFlagHomo(geneSetObj, founderOnly=TRUE, quiet=FALSE)

pedFlagHomo.default(pedObj, 
            founderOnly=TRUE,
            quiet=FALSE)
}
\arguments{
  \item{geneSetObj}{a \code{geneSet} object.}
  \item{pedObj}{a list with five elements: \code{ped}, \code{columns}, \code{markerNames}, \code{Position}, and \code{filename}. \code{ped} is a pedigree data frame whose first 6 columns are family (pedigree id), pid (patient id), father (father id), mother (mother id), sex, affected (affection status). The remaining columns are pairs of marker alleles. Each row corresponds to an individual; \code{columns} are the names of the first 5 (or 6) columns of ped file. It should be either equal to  c("family","pid","father","mother","sex","affected") or equal to c("family","pid","father","mother","sex"); \code{founderOnly} indicates if using only founder info; \code{markerNames} is a vector of marker names; \code{Position} is a vector of marker positions; \code{fileName} is the pedigree file name}
  \item{founderOnly}{indicates if using only founder info}
  \item{quiet}{print intermediate results if \code{quiet=FALSE}.}
}
\value{
  \item{countMat}{Count the number of homo/heterozygotes.}
  \item{flagHomoMat}{Flag homo/heterozygotes. 1 -- homozygotes; 0 -- heterozygotes; -1 -- genotype contains one missing allele; -2 -- genotype contains two missing alleles.}
  \item{markerNames}{marker names.}
}
\author{
Weiliang Qiu \email{stwxq@channing.harvard.edu}, 
Ross Lazarus \email{ross.lazarus@channing.harvard.edu}, 
Gregory Warnes \email{warnes@bst.rochester.edu},
Nitin Jain \email{nitin.jain@pfizer.com}
}
\examples{
  data(CAMP)
  res<-pedFlagHomo(CAMP)
  res$countMat
  res$flagHomoMat
  res$markerNames
}
\keyword{htest}

