\name{pedGFreq}
\alias{pedGFreq}
\alias{pedGFreq.default}
\title{get genotype frequencies}
\description{
Get genotype frequencies (missing alleles allowed).
}
\usage{
pedGFreq(geneSetObj, founderOnly=TRUE, missingOutput=FALSE, quiet=FALSE)

pedGFreq.default(pedObj, 
         founderOnly=TRUE,
         missingOutput=FALSE,
         quiet=FALSE)
}
\arguments{
  \item{geneSetObj}{a \code{geneSet} object.}
  \item{pedObj}{a list with five elements: \code{ped}, \code{columns}, \code{markerNames}, \code{Position}, and \code{filename}. \code{ped} is a pedigree data frame whose first 6 columns are family (pedigree id), pid (patient id), father (father id), mother (mother id), sex, affected (affection status). The remaining columns are pairs of marker alleles. Each row corresponds to an individual; \code{columns} are the names of the first 5 (or 6) columns of ped file. It should be either equal to  c("family","pid","father","mother","sex","affected") or equal to c("family","pid","father","mother","sex"); \code{founderOnly} indicates if using only founder info; \code{markerNames} is a vector of marker names; \code{Position} is a vector of marker positions; \code{fileName} is the pedigree file name}
  \item{founderOnly}{indicates if using only founder info.}
  \item{missingOutput}{indicates if missing allele frequency should be output.}
  \item{quiet}{print intermediate results if \code{quiet=FALSE}.}
}
\value{
  \item{gFreqMat}{genotype frequencies.}
  \item{gPercMat}{genotype percentages.}
  \item{missingOutput}{indicates if missing allele frequency should be output.}
}
\author{
Weiliang Qiu \email{stwxq@channing.harvard.edu}, 
Ross Lazarus \email{ross.lazarus@channing.harvard.edu}, 
Gregory Warnes \email{warnes@bst.rochester.edu},
Nitin Jain \email{nitin.jain@pfizer.com}
}
\examples{
  data(CAMP)
  res<-pedGFreq(CAMP)
  res$gFreqMat
  res$gPercMat
}
\keyword{htest}

