\name{readHapMap}
\alias{readHapMap}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Import HapMap data}
\description{
Import HapMap data and convert it to pedigree format.
}
\usage{
readHapMap(hapmapfile, race="CEU", skip = 2, comment.char = "&", quiet = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{hapmapfile}{the hapmap file name}
  \item{race}{ can take values \code{CEU}, \code{YRI}, \code{CHB}, and \code{JPT}}
  \item{skip}{ first \code{skip} lines in the file \code{hapmapfile} will be skipped.}
  \item{comment.char}{ hapmapfile snp names contain the symbol \# which is the comment command of R.
So by default, we set \code{comment.char} as \dQuote{&}.}
  \item{quiet}{print intermediate results if \code{quiet=FALSE}.}
}
\details{
HapMap files are those snp files output by HapMap browsers.
}
\value{
  A list with five elements: \code{ped}, \code{columns}, \code{markerNames}, \code{Position}, and \code{fileName}. \code{ped} is a pedigree data frame whose first 6 columns are family (pedigree id), pid (patient id), father (father id), mother (mother id), sex, affected (affection status). The remaining columns are pairs of marker alleles. Each row corresponds to an individual; \code{columns} are the names of the first 5 (or 6) columns of ped file. It should be either equal to  c("family","pid","father","mother","sex","affected") or equal to c("family","pid","father","mother","sex"); \code{founderOnly} indicates if using only founder info; \code{markerNames} is a vector of marker names; \code{Position} is a vector of marker positions; \code{fileName} is the pedigree file name.
}
\references{ }
\author{
Weiliang Qiu \email{stwxq@channing.harvard.edu}, 
Ross Lazarus \email{ross.lazarus@channing.harvard.edu}, 
Gregory Warnes \email{warnes@bst.rochester.edu},
Nitin Jain \email{nitin.jain@pfizer.com}
}
\note{ 
}
\seealso{ }
\examples{
}
\keyword{ misc }% at least one, from doc/KEYWORDS
