\name{readLink}
\alias{readLink}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Import file with PLINK data format}
\description{
Import file with PLINK data format and convert it to a pedigree object.
}
\usage{
readLink(pedfile, gmfile, columns = c("family", "pid", "father", "mother", "sex"), quiet = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{pedfile}{ pedigree data file with no marker info}
  \item{gmfile}{ marker info files. It contains three columns: marker IDs, marker names, and marker positions}
  \item{columns}{ By default, the first five columns of \code{pedfile} are sample information: family id, patient id, 
father id, mother id, patient sex.}
  \item{quiet}{print intermediate results if \code{quiet=FALSE}.}
}
\details{
The data format is used by the software PLINK. 
}
\value{
  A list with five elements: \code{ped}, \code{columns}, \code{markerNames}, \code{Position}, and \code{fileName}. \code{ped} is a pedigree data frame whose first 6 columns are family (pedigree id), pid (patient id), father (father id), mother (mother id), sex, affected (affection status). The remaining columns are pairs of marker alleles. Each row corresponds to an individual; \code{columns} are the names of the first 5 (or 6) columns of ped file. It should be either equal to  c("family","pid","father","mother","sex","affected") or equal to c("family","pid","father","mother","sex"); \code{founderOnly} indicates if using only founder info; \code{markerNames} is a vector of marker names; \code{Position} is a vector of marker positions; \code{fileName} is the pedigree file name.
}
\references{ }
\author{
Weiliang Qiu \email{stwxq@channing.harvard.edu}, 
Ross Lazarus \email{ross.lazarus@channing.harvard.edu}, 
Gregory Warnes \email{warnes@bst.rochester.edu},
Nitin Jain \email{nitin.jain@pfizer.com}
}
\note{ }
\seealso{ }
\examples{
}
\keyword{ misc }% at least one, from doc/KEYWORDS
