\name{viewHW}
\alias{viewHW}
\title{View allele frequencies, Hardy-Weinberg equilibrium test statistics for specified marker}
\description{
View allele frequencies, Hardy-Weinberg equilibrium test statistics for specified marker.
}
\usage{
  viewHW(HW.object, markerName)
}
\arguments{
  \item{HW.object}{object returned by the function 'pedHardyWeinberg'.}
  \item{markerName}{a character string indicating the name of marker whose statistics are to be viewed}
}
\value{
  \item{resM}{A vector records the following quantities for the specified marker: \code{nInfoInd} (number of informative individuals, i.e. individuals whose genotypes contain no missing alleles for the specified marker), \code{nGenotype} (number of possible genotypes), \code{nHET} (number of heterozygous genotypes), \code{nHOM} (number of homozygous genotypes), \code{nAllele} (number of alleles), \code{nMissing} (number of missing alleles), \code{chi2} (chi square test statistic), \code{df} (degree of freedom of the chi square test statistic under H0), \code{p-value} (pvalue of the test).}
  \item{nGenotypeM}{number of possible genotypes for the specified marker.}
  \item{genotypeM}{possible genotypes and their frequencies.}
  \item{piVecM}{allele frequencies.}
}
\author{
Weiliang Qiu \email{stwxq@channing.harvard.edu}, 
Ross Lazarus \email{ross.lazarus@channing.harvard.edu}, 
Gregory Warnes \email{warnes@bst.rochester.edu},
Nitin Jain \email{nitin.jain@pfizer.com}
}
\examples{
  data(CAMP)
  res<-pedHardyWeinberg(CAMP)
  viewHW(res, "m709")
  viewHW(res, "m654")
  viewHW(res, "m47")
  viewHW(res, "p46")
  viewHW(res, "p79")
  viewHW(res, "p252")
  viewHW(res, "p491")
  viewHW(res, "p523")
}
\keyword{htest}

