\name{viewstat}
\alias{viewstat}
\title{view statistics for a marker}
\description{
  view statistics for a marker
}
\usage{
viewstat(fbatObject, markerName)
}
\arguments{
  \item{fbatObject}{ Object for Family Based Association Tests. See references. }
  \item{markerName}{ name(s) of the marker(s) for which statistics is needed}
}
\details{
Print various stats for a marker, such as: family size, number of people
in the family, number of informative families in the marker, the alleles
of marker, scores for marker, expected score for marker, covariance
matrix of the score for the marker, Moore-Penrose generealized inverse of
covariance matrix and P-value.
}
\author{
Weiliang Qiu \email{stwxq@channing.harvard.edu}, 
Ross Lazarus \email{ross.lazarus@channing.harvard.edu}, 
Gregory Warnes \email{warnes@bst.rochester.edu},
Nitin Jain \email{nitin.jain@pfizer.com}
}
\references{
\url{http://www.biostat.harvard.edu/~fbat/fbat.htm}
}
\examples{
  data(CAMP)
  res<-fbat(CAMP)
  viewstat(res, "m709")
  viewstat(res, "m654")
  viewstat(res, "m47")
  viewstat(res, "p46")
  viewstat(res, "p79")
  viewstat(res, "p252")
  viewstat(res, "p491")
  viewstat(res, "p523")
}
\keyword{misc }
