/* This file registers functions called from R */


#include <Rinternals.h>
#include <Rdefines.h>
#include <R_ext/RConverters.h>
#include <R_ext/Rdynload.h>

#include "FBAT.h"

/* Define argument types */
static R_NativePrimitiveArgType checkCompatible_t[] = {
INTSXP, //int *ped, 
INTSXP, //int *nrow, 
INTSXP, //int *ncol, 
INTSXP, //int *nFamily, 
INTSXP, //int *familySize, 
INTSXP, //int *alleles, 
INTSXP, //int *nAllele, 
INTSXP, //int *sampleInfoLen, 
INTSXP, //int *compatibleFlag, 
INTSXP, //int *errorFlag, 
INTSXP, //int *whichMarker, 
INTSXP, //int *nMerrMarker,
INTSXP, //int *nMerrFamily,
INTSXP, //int *nErrFamilySample,
INTSXP //int *quiet
};

static R_NativePrimitiveArgType fbat_t[] = {
INTSXP, //int *ped, 
INTSXP, //int *nrow, 
INTSXP, //int *ncol, 
INTSXP, //int *nFamily, 
INTSXP, //int *familySize, 
INTSXP, //int *genoMethod, 
INTSXP, //int *traitMethod, 
REALSXP, //double *traitOffset,
INTSXP, //int *alleles, 
INTSXP, //int *nAllele, 
REALSXP, //double *S, 
REALSXP, //double *ES,
REALSXP, //double *CovS, 
INTSXP, //int *numInfoFamily,
INTSXP, //int *errorFlag, 
INTSXP //int *quiet
};

static R_NativePrimitiveArgType getAFreq_t[] = {
INTSXP, //int *mat, 
INTSXP, //int *nr, 
INTSXP, //int *nMarker, 
INTSXP, //int *alleles, 
INTSXP, //int *nAllele,
INTSXP //int *aFreqMat
};

static R_NativePrimitiveArgType FlagHomo_t[] = {
INTSXP, //int *mat, 
INTSXP, //int *nr, 
INTSXP, //int *nMarker, 
INTSXP, //int *nHET, 
INTSXP, //int *nHOM, 
INTSXP, //int *nMiss1, 
INTSXP, //int*nMiss2, 
INTSXP //int *flagHomo
};

static R_NativePrimitiveArgType getAllGenotypes_t[] = {
INTSXP, //int *alleles, 
INTSXP, //int *nAllele, 
INTSXP, //int *Mat, 
STRSXP  //char **genotypeNames
};

static R_NativePrimitiveArgType getOij_t[] = {
INTSXP, //int *mat, 
INTSXP, //int *nr, 
INTSXP, //int *nc, 
INTSXP, //int *alleles, 
INTSXP, //int *nAllele,
INTSXP, //int *genotypeVec, 
INTSXP, //int *genotypeFreq, 
INTSXP, //int *nGenotype,
INTSXP, //int *nHET, 
INTSXP, //int *nHOM,
INTSXP, //int *OijMat, 
REALSXP, //double *EijMat, 
REALSXP, //double *piVec, 
REALSXP //double *chi2
};


/* Functions accessed via .C() */
static const R_CMethodDef cMethods[] = {
  {"checkCompatible",        (DL_FUNC) &checkCompatible,        15, checkCompatible_t},
  {"fbat",    (DL_FUNC) &fbat,    16, fbat_t}, 
  {"getAFreq",    (DL_FUNC) &getAFreq,    6, getAFreq_t},
  {"FlagHomo", (DL_FUNC) &FlagHomo,  8, FlagHomo_t},
  {"getAllGenotypes",       (DL_FUNC) &getAllGenotypes,        4, getAllGenotypes_t},
  {"getOij",       (DL_FUNC) &getOij,        14, getOij_t},
  {NULL, NULL, 0}
};


/* Initialization function */
void    R_init_fbat(DllInfo *info)
  {
    R_registerRoutines(info, 
		       cMethods, //cMethods
		       NULL,  //callMethods
		       NULL, //fortranMethods
		       NULL  //externamMethods
		       );
  }
